# Class Stats1Plotter.StatsStyle

java.lang.Object
uk.ac.starlink.ttools.plot2.layer.LineStyle
uk.ac.starlink.ttools.plot2.layer.Stats1Plotter.StatsStyle

All Implemented Interfaces:
  `Style`

Enclosing class:
  `Stats1Plotter`

public static class Stats1Plotter.StatsStyle extends LineStyle
Style class associated with this plotter.

Since:
  30 Sep 2016
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`StatsStyle(Color color, Stroke stroke, boolean antialias, boolean showmean, Normalisation norm, Unit unit, BinSizer sizer, boolean isY)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`hashCode()`

### Methods inherited from class LineStyle

`createLineTracer, getAntialias, getColor, getLegendIcon, getStroke`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StatsStyle

public StatsStyle(Color color, Stroke stroke, boolean antialias, boolean showmean, Normalisation norm, Unit unit, BinSizer sizer, boolean isY)
Constructor.

Parameters:
  `color` - line colour
  `stroke` - line stroke
  `antialias` - true to draw line antialiased
  `showmean` - true to display a line showing the mean
  `norm` - normalisation
  `unit` - axis scaling unit
  `sizer` - histogram equivalent bin sizer, may be used in conjunction with norm
  `isY` - if true, plotted sideways

## Method Details

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `LineStyle`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `LineStyle`